Download it now!
Bug 136545 - CRASH: Running presentation (gen)
Summary: CRASH: Running presentation (gen)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-09-07 10:49 UTC by Xisco Faulí
Modified: 2020-09-29 15:13 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-09-07 10:49:35 UTC
Steps to reproduce:
1. Open attachment 164373 [details] from bug 135839
2. Run presentation
3. Press down arrow key a few times

-> Crash

X-Error: BadMatch (invalid parameter attributes)
	Major opcode: 62 (X_CopyArea)
	Resource ID:  0x6801dc4
	Serial No:    39618 (39618)
These errors are reported asynchronously,
set environment variable SAL_SYNCHRONIZE to 1 to help debugging
Application Error


Reproduced in

Version: 7.1.0.0.alpha0+
Build ID: 6b2eff7d69c6e14d89dd33eaa58c01d82c541266
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-09-07 10:50:30 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=770892a387361067d23ab08ed38690c50b8b9395

author	Caolán McNamara <caolanm@redhat.com>	2020-05-23 20:21:59 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-05-24 20:20:54 +0200
commit	770892a387361067d23ab08ed38690c50b8b9395 (patch)
tree	099d1cc78a6dd1a896f6855bb95ebe345ef3b9e4
parent	de01c1978216373a9aa7cd01e28186d2752e6cc4 (diff)
platforms using the cairo canvas use cairo for text rendering already

Bisected with: bibisect-linux64-7.0

Adding Cc: to Caolán McNamara
Comment 2 Caolán McNamara 2020-09-07 14:42:23 UTC
interesting
Comment 3 Commit Notification 2020-09-08 07:52:42 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f9a99998048ed0fa6e2743c7473919a9a189dcda

tdf#136545 use pre-existing cairo_surface

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2020-09-08 07:55:46 UTC
fixed in master, and a conservative backport to 7-0 to restore the historic arrangement
Comment 5 Commit Notification 2020-09-08 08:22:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/ee18059ed6402eb0725048b3dd406852120a9faf

tdf#136545 revert cairo canvas uses cairo for text rendering already

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2020-09-29 15:13:53 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: cd85546a2fbdade42f80fd3b6bd650791db9f32d
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!